/*
Dynamic Balloon Help
Netscape License Agreement - Terms of Use

	------------------------------------------------------------------------
	Modified by Anne Delvalle :
	- "showTerm" function (window width and scrolls)
	------------------------------------------------------------------------

Copyright  1998 Netscape Communications Corporation. All Rights Reserved. Permission to use, copy, modify and distribute this software and sample code included in its documentation (collectively, the "PROGRAM") for any purpose is hereby granted without fee, provided that the above copyright notice and this document appear in all copies and in supporting documentation. 

THE PROGRAM IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE PROGRAM IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD ANY PART OF THE PROGRAM PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT NETSCAPE) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF THE PROGRAM IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. 

Trademarks and Logos / Distribution of Modified Versions. You are not granted any rights with respect to Netscape's trademarks and logos, even if they are included in the PROGRAM. If you wish to distribute or demonstrate a modified version of the PROGRAM, you must first (1) remove all Netscape trademarks including the ''Netscape N and horizon'' logo, the trademark ''Netscape'' and the Netscape lighthouse logo (if present) from your modified version, and (2) include this document, with an added statement at the top of the document indicating that the PROGRAM has been modified by you and describing the modifications. 

UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL NETSCAPE OR ITS SUPPLIERS, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT BE APPLICABLE. YOU ARE SOLELY RESPONSIBLE FOR ANY LIABILITY ARISING OUT OF ANY CHANGES OR CONTENT PROVIDED BY YOU. 

Government Users. The PROGRAM is a "commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire the Program with only those rights set forth herein. [an error occurred while processing this directive] 
*/
//


function Is ()
{   // convert all characters to lowercase to simplify testing
    var agt=navigator.userAgent.toLowerCase()

    // *** BROWSER VERSION ***
    this.major = parseInt(navigator.appVersion)

    this.nav  = ((agt.indexOf('mozilla')!=-1) && ((agt.indexOf('spoofer')==-1)
                && (agt.indexOf('compatible') == -1)))
    this.nav4 = (this.nav && (this.major == 4))
    this.nav4up = this.nav && (this.major >= 4)

    this.ie   = (agt.indexOf("msie") != -1)
    this.ie4  = (this.ie && (this.major == 4))
    this.ie4up  = this.ie  && (this.major >= 4)
}
var is = new Is();

function setUpBulle()
{
	maketheBulle("cellulose",200,"<B>cellulose :</B><BR>chemically a complex carbohydrate. The chief constituent of many fibrous plant products such as paper, board, textiles and some synthetic materials.");
	maketheBulle("hemicelluloses",200,"<B>hemicelluloses :</B><BR>chemically a carbohydrate similar to cellulose which a lower degree of polymerisation.");
	maketheBulle("lignine",200,"<B>lignin :</B><BR>a component of the cell walls of woody plants, along with cellulose. Lignin is largely responsible for the strength and rigidity of plants, but its presence in paper and board is believed to contribute to chemical degradation.");
	maketheBulle("colophane",200,"<B>rosin :</B><BR>a resin which is used for the sizing of paper.");
	maketheBulle("ph",200,"<B>pH :</B><BR>in chemistry, pH is a measure of the concentration of hydrogen ions in solution, indicating acidity or alkalinity (pH > 7 means alkaline, pH < 7 means acid, pH = 7 means neutral).");
	maketheBulle("neutre",200,"<B>neutral medium :</B><BR>pH = 7.");
	maketheBulle("alcalin",200,"<B>alkaline medium :</B><BR>pH > 7.");
	maketheBulle("hydrolyse",200,"<B>hydrolysis :</B><BR>the decomposition of organic compounds by interaction with water. The degradation weakens or breaks molecular bonds, thereby leading to embrittlement and discoloration.");
	maketheBulle("oxydation",200,"<B>oxidation :</B><BR>traditionally defined as a chemical reaction in which oxygen combines with another element to form an oxide. Today it is defined as a chemical reaction in which one or more free electron are released. Oxidation may be cauded by impurities present within or adjacent to the material or by atmospheric pollutants.");
	maketheBulle("papierpermanen",200,"<B>permanent paper :</B><BR>paper manufactured to high standard for long-term survival good condition under reasonable storage conditions.  It must have good resistance to internal and external chemical reactions, good mechanical strength and be composed of only virgin, or un-recycled fibres containing no lignin. Refers to the ISO standard ISO 9706 : 1994 - Requirements for permanence.");
	maketheBulle("polymerisation",200,"<B>degree of polymerisation :</B><BR>in chemistry the degree of polymerisation indicates the number of monomers in a polymer.");
	maketheBulle("lumiere",200,"<B>light :</B><BR>part of the spectrum of electromagnetic waves which is visible to our eyes.");
	maketheBulle("document",200,"<B>document :</B><BR>1) the combination of a medium and the information recorded on or in it which may be used as evidence or for consultation. <BR>2) a single record or item. Examples include: a sheet of paper with writing ; an e-mail message ; a film with images ; a magnetic tape with a sound recording.");
	maketheBulle("humidite",200,"<B>relative humidity :</B><BR>relationship, expressed as a percentage, between the quantity of water vapour contained by a given volume of air at a given temperature and the maximum quantity of water which this same volume can contain at the same temperature.");
	maketheBulle("condensation",200,"<B>condensation :</B><BR>phenomen which occurs above the saturation point of water vapour. Water is then present in a liquid state.");
	maketheBulle("hygroscopie",200,"<B>hygroscopic :</B><BR>a substance which retains water.");
	maketheBulle("microclimat",200,"<B>microclimate :</B><BR>climatic conditions in a very limited zone.");
	maketheBulle("nitrate",200,"<B>cellulose nitrate :</B><BR>ester of nitric acid. Material used for films and sheets. Very flammable and explosive substance.");
	maketheBulle("acetate",200,"<B>cellulose acetate :</B><BR>ester of acetic acid. Material used for films and sheets.");
	maketheBulle("polyester",200,"<B>polyester :</B><BR>the common name for the plastic polyethylene terephtalate. Used in sheets or film form to make folders, encapsulations and adhesive tapes. Trade names include Mylar, Melinex and Terphane. Only some of the polyester materials are suitable for conservation.");
	maketheBulle("polymere",200,"<B>polymer :</B><BR>a material built up from a series of smaller units (monomers).");
	maketheBulle("pvc",200,"<B>polyvinylchloride (PVC) :</B><BR>a polymer which is not suitable for conservation. It can damage documents by emitting acidic components and plasticisers.");
	maketheBulle("format",200,"<B>format :</B><BR>1) in its widest sense, a particular physical presentation of an item. Examples include : a standard layout of memorandum in an office ; the arrangement of data in a computer application ; the general pattern of a television recording (VHS, BetaCam etc) ; the aspect ratio of a moving image production. <BR>2) in the context of bibliographic control, the formalised structure in which the specific elements of bibliographic description are accommodated.");
	maketheBulle("photographie",200,"<B>photography :</B><BR>any method of producing an image by using the action of light to change a chemical layer.");
}

function maketheBulle(id, width, message)
{
   var theString = '<STYLE TYPE="text/css">#'+id+'{width:'+width+';}</STYLE>';
   theString+='<DIV CLASS="concealed" id="'+id+'"><P class="l-def">'+message+'</P></DIV>';
   document.write(theString);
}

function showTerm(id, event)
{

	if (is.nav4up) {
                        var xL = Math.min(event.pageX, window.innerWidth - document.layers[id].clip.right - 30);
		document.layers[id].left = xL;
		document.layers[id].top = event.pageY;
		document.layers[id].visibility="show";
	}
	else {
		var xL = Math.min(event.clientX, document.body.offsetWidth - document.all[id].offsetWidth -30);
		document.all[id].style.pixelLeft = (document.body.scrollLeft + xL);
		document.all[id].style.pixelTop = (document.body.scrollTop + event.clientY);
		document.all[id].style.visibility="visible";
	}
		
}

function hideTerm(id)
{
	is.nav4up ? document.layers[id].visibility="hide" : document.all[id].style.visibility="hidden";
}

